VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec Class Reference

The `Memory.UpdateSpec` class describes the updates to be made to the memory-related settings of a virtual machine. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
long | GetSizeMiB ()
| New memory size in mebibytes.
void | SetSizeMiB (long?sizeMiB)
| New memory size in mebibytes.
bool | GetHotAddEnabled ()
| Flag indicating whether adding memory while the virtual machine is running should be enabled.
void | SetHotAddEnabled (bool?hotAddEnabled)
| Flag indicating whether adding memory while the virtual machine is running should be enabled.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Memory.UpdateSpec` class describes the updates to be made to the memory-related settings of a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::GetHotAddEnabled | ( |  | ) | `[inline]`

Flag indicating whether adding memory while the virtual machine is running should be enabled.

Some guest operating systems may consume more resources or perform less efficiently when they run on hardware that supports adding memory while the machine is running.

This field may only be modified if the virtual machine is not powered on.

long vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::GetSizeMiB | ( |  | ) | `[inline]`

New memory size in mebibytes.

The supported range of memory sizes is constrained by the configured guest operating system and virtual hardware version of the virtual machine.

If the virtual machine is running, this value may only be changed if Memory.Info.hotAddEnabled is true, and the new memory size must satisfy the constraints specified by Memory.Info.hotAddIncrementSizeMiB and Memory.Info.hotAddLimitMiB .

void vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::SetHotAddEnabled | ( | bool? | hotAddEnabled | ) | `[inline]`

Flag indicating whether adding memory while the virtual machine is running should be enabled.

Some guest operating systems may consume more resources or perform less efficiently when they run on hardware that supports adding memory while the machine is running.

This field may only be modified if the virtual machine is not powered on.

void vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::SetSizeMiB | ( | long? | sizeMiB | ) | `[inline]`

New memory size in mebibytes.

The supported range of memory sizes is constrained by the configured guest operating system and virtual hardware version of the virtual machine.

If the virtual machine is running, this value may only be changed if Memory.Info.hotAddEnabled is true, and the new memory size must satisfy the constraints specified by Memory.Info.hotAddIncrementSizeMiB and Memory.Info.hotAddLimitMiB .

override string vmware::vcenter::vm::hardware::MemoryTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- MemoryTypes.cs